com.amazonaws.services.servermigration.model

## Class GetServersResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.servermigration.model.GetServersResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetServersResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetServersResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetServersResult` `clone()`
`boolean` `equals(Object obj)`
`Date` `getLastModifiedOn()`
`String` `getNextToken()`
`String` `getServerCatalogStatus()`
`List<Server>` `getServerList()`
`int` `hashCode()`
`void` `setLastModifiedOn(Date lastModifiedOn)`
`void` `setNextToken(String nextToken)`
`void` `setServerCatalogStatus(ServerCatalogStatus serverCatalogStatus)`
`void` `setServerCatalogStatus(String serverCatalogStatus)`
`void` `setServerList(Collection<Server> serverList)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetServersResult` `withLastModifiedOn(Date lastModifiedOn)`
`GetServersResult` `withNextToken(String nextToken)`
`GetServersResult` `withServerCatalogStatus(ServerCatalogStatus serverCatalogStatus)`
`GetServersResult` `withServerCatalogStatus(String serverCatalogStatus)`
`GetServersResult` `withServerList(Collection<Server> serverList)`
`GetServersResult` `withServerList(Server... serverList)` NOTE: This method appends the values to the existing list (if any).

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetServersResult

    public GetServersResult()

### Method Detail

#### setLastModifiedOn

    public void setLastModifiedOn(Date lastModifiedOn)

Parameters:
  `lastModifiedOn` -

#### getLastModifiedOn

    public Date getLastModifiedOn()

Returns:

#### withLastModifiedOn

    public GetServersResult withLastModifiedOn(Date lastModifiedOn)

Parameters:
  `lastModifiedOn` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServerCatalogStatus

    public void setServerCatalogStatus(String serverCatalogStatus)

Parameters:
  `serverCatalogStatus` -
See Also:
  `ServerCatalogStatus`

#### getServerCatalogStatus

    public String getServerCatalogStatus()

Returns:
See Also:
  `ServerCatalogStatus`

#### withServerCatalogStatus

    public GetServersResult withServerCatalogStatus(String serverCatalogStatus)

Parameters:
  `serverCatalogStatus` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerCatalogStatus`

#### setServerCatalogStatus

    public void setServerCatalogStatus(ServerCatalogStatus serverCatalogStatus)

Parameters:
  `serverCatalogStatus` -
See Also:
  `ServerCatalogStatus`

#### withServerCatalogStatus

    public GetServersResult withServerCatalogStatus(ServerCatalogStatus serverCatalogStatus)

Parameters:
  `serverCatalogStatus` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerCatalogStatus`

#### getServerList

    public List<Server> getServerList()

Returns:

#### setServerList

    public void setServerList(Collection<Server> serverList)

Parameters:
  `serverList` -

#### withServerList

    public GetServersResult withServerList(Server... serverList)

NOTE: This method appends the values to the existing list (if any). Use `setServerList(java.util.Collection)` or `withServerList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `serverList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withServerList

    public GetServersResult withServerList(Collection<Server> serverList)

Parameters:
  `serverList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

Parameters:
  `nextToken` -

#### getNextToken

    public String getNextToken()

Returns:

#### withNextToken

    public GetServersResult withNextToken(String nextToken)

Parameters:
  `nextToken` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetServersResult clone()

Overrides:
  `clone` in class `Object`